---
- name: Copy default userfacts domain.yml into place
  hosts: all
  vars_files:
    - "../resources/playbooks/default-vars.yml"

  tasks:
    - name: Copy default userfacts domain.yml into place
      import_tasks: ../resources/playbooks/copy-default-userfacts-domain-yml-into-place.yml
    - name: Create state mocking files in home directory
      file:
        path: "{{ mail_domains_tool_chdir }}/{{ item }}"
        state: touch
      with_items:
        - mail-and-web.com
        - only-mail.com
